Skip to main content
POST
/
api
/
apps
/
v1
/
apps
Create App (v1)
curl --request POST \
  --url https://api.example.com/api/apps/v1/apps \
  --header 'Content-Type: application/json' \
  --header 'X-Domino-Api-Key: <api-key>' \
  --data '
{
  "name": "<string>",
  "projectId": "<string>",
  "accessStatuses": [
    {
      "userId": "<string>"
    }
  ],
  "configurationType": "STANDARD",
  "description": "<string>",
  "discoverable": true,
  "entryPoint": "<string>",
  "initialVersion": {
    "bundleId": "<string>",
    "content": {
      "dataPlaneId": "<string>",
      "dfsCommitId": "<string>",
      "entryScript": "<string>",
      "environmentId": "<string>",
      "environmentRevisionId": "<string>",
      "extendedIdentityPropagationToAppsEnabled": true,
      "externalVolumeMountIds": [
        "<string>"
      ],
      "mountDatasets": true,
      "netAppVolumeIds": [
        "<string>"
      ],
      "resolvedCommits": {
        "dfsCommitId": "<string>",
        "gitCommitId": "<string>",
        "importedGitRepos": [
          {
            "ref": "<string>",
            "repoId": "<string>",
            "repoName": "<string>"
          }
        ],
        "importedProjects": [
          {
            "commitId": "<string>",
            "directoryName": "<string>",
            "ownerId": "<string>",
            "projectId": "<string>",
            "projectName": "<string>",
            "release": "<string>"
          }
        ]
      }
    },
    "deployment": {
      "hardwareTierId": "<string>",
      "renderIFrame": true,
      "vanityUrl": "<string>"
    },
    "description": "<string>",
    "tags": [
      {
        "key": "<string>",
        "value": "<string>"
      }
    ],
    "workspaceId": "<string>"
  },
  "mountDatasets": true,
  "renderIFrame": true,
  "sendNotifications": true
}
'
{
  "accessControl": {
    "accessStatuses": [
      {
        "userId": "<string>"
      }
    ],
    "discoverable": true
  },
  "authorship": {
    "isDraft": true,
    "author": {
      "id": "<string>",
      "name": "<string>"
    }
  },
  "configurationType": "STANDARD",
  "entryPoint": "<string>",
  "id": "<string>",
  "mountDatasets": true,
  "name": "<string>",
  "project": {
    "id": "<string>",
    "name": "<string>",
    "ownerId": "<string>",
    "ownerUsername": "<string>"
  },
  "renderIFrame": true,
  "url": "<string>",
  "views": 123,
  "currentVersion": {
    "createdAt": 123,
    "id": "<string>",
    "tags": [
      {
        "key": "<string>",
        "value": "<string>"
      }
    ],
    "updatedAt": 123,
    "bundle": {
      "id": "<string>",
      "name": "<string>"
    },
    "content": {
      "mountDatasets": true,
      "dataPlaneId": "<string>",
      "dfsCommitId": "<string>",
      "entryScript": "<string>",
      "environmentId": "<string>",
      "environmentRevisionId": "<string>",
      "extendedIdentityPropagationToAppsEnabled": true,
      "externalVolumeMountIds": [
        "<string>"
      ],
      "gitRef": {
        "value": "<string>"
      },
      "netAppVolumeIds": [
        "<string>"
      ],
      "resolvedCommits": {
        "dfsCommitId": "<string>",
        "gitCommitId": "<string>",
        "importedGitRepos": [
          {
            "ref": "<string>",
            "repoId": "<string>",
            "repoName": "<string>"
          }
        ],
        "importedProjects": [
          {
            "commitId": "<string>",
            "directoryName": "<string>",
            "ownerId": "<string>",
            "projectId": "<string>",
            "projectName": "<string>",
            "release": "<string>"
          }
        ]
      }
    },
    "currentInstance": {
      "createdAt": 123,
      "id": "<string>",
      "status": "<string>",
      "describeUrl": "<string>",
      "dfsCommitId": "<string>",
      "gitCommitId": "<string>",
      "publisher": {
        "id": "<string>",
        "name": "<string>"
      }
    },
    "deployment": {
      "autoscalingSpecification": {
        "enabled": true,
        "maxReplicas": 15,
        "minReplicas": 15,
        "scaleDownStabilizationWindowSeconds": 1800,
        "scaleUpStabilizationWindowSeconds": 1800,
        "targetCpuAvgUtilizationPct": 50,
        "targetMemoryAvgUtilizationPct": 50,
        "useSessionAffinity": true
      },
      "hardwareTierId": "<string>",
      "vanityUrl": "<string>"
    },
    "description": "<string>",
    "versionNumber": 123
  },
  "customFields": [
    {
      "fields": [
        {
          "customFieldId": "<string>",
          "customFieldLabel": "<string>",
          "updatedAt": 123,
          "updatedBy": {
            "userId": "<string>",
            "username": "<string>"
          },
          "value": "<string>"
        }
      ],
      "groupName": "<string>"
    }
  ],
  "description": "<string>",
  "taxonomyTags": [
    {
      "id": "<string>",
      "label": "<string>",
      "namespaceId": "<string>",
      "description": "<string>",
      "fullPath": [
        "<string>"
      ],
      "namespaceLabel": "<string>"
    }
  ],
  "thumbnailEtag": "<string>",
  "updatedAt": 123,
  "vanityUrl": "<string>"
}

Authorizations

X-Domino-Api-Key
string
header
required

Body

application/json

Request to create an app

Create an App in draft state with an initial version. A version is always created; the 'initialVersion' field provides optional configuration for it. Does NOT start an instance.

name
string
required
projectId
string
required
visibility
enum<string>
required
Available options:
AUTHENTICATED,
GRANT_BASED,
GRANT_BASED_STRICT,
PUBLIC
accessStatuses
object[]
configurationType
enum<string>
default:STANDARD

Type of configuration for the app which determines different deployment resources and settings.

Available options:
STANDARD,
AISYSTEM
description
string
discoverable
boolean
entryPoint
string

Immutable after creation.

initialVersion
object

Optional configuration for the initial version. A version is always created; this field overrides defaults for it. content.mountDatasets, when provided, overrides the top-level mountDatasets for the initial version snapshot only; the App keeps the top-level value.

mountDatasets
boolean

App-level default for whether to mount Domino Datasets into the App's runtime. Omitted falls back to the internal default (true). Per-version overrides via initialVersion.content.mountDatasets (this endpoint) and POST /apps/{appId}/versions still win.

renderIFrame
boolean
sendNotifications
boolean

When initial accessStatuses contains users, controls whether those users receive an email notification on creation. Defaults to false when omitted.

Response

Success

accessControl
object
required

Visibility and access-grant settings for an App.

authorship
object
required

Identity metadata for an App: whether it is a draft and the user who created it.

configurationType
enum<string>
default:STANDARD
required

Type of configuration for the app which determines different deployment resources and settings.

Available options:
STANDARD,
AISYSTEM
entryPoint
string
required
id
string
required
mountDatasets
boolean
required

App-level default for whether to mount Domino Datasets into the App's runtime.

name
string
required
project
object
required
renderIFrame
boolean
required
url
string
required
views
number
required
currentVersion
object
customFields
object[]

Custom field values assigned to this app, grouped by group name.

description
string
taxonomyTags
object[]

Taxonomy tags assigned to this app. Omitted when the taxonomy feature is disabled.

thumbnailEtag
string
updatedAt
number<epoch>
vanityUrl
string